Bug 861269 - Multilib version conflict for 32bit and 64bit libstdc++
Multilib version conflict for 32bit and 64bit libstdc++
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libstdc++so7 (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 22:49 EDT by Xi Yang
Modified: 2013-08-09 01:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:20:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xi Yang 2012-09-27 22:49:39 EDT
Description of problem:
When I recently run "yum update", it warns the following message and stops.

========================
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing it that there is a problem. Eg.:
       
         1. You have an upgrade for libstdc++-devel which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of libstdc++-devel of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what).
       
         2. You have multiple architectures of libstdc++-devel installed, but
            yum can only see an upgrade for one of those arcitectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of libstdc++-devel installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: libstdc++-devel-4.7.2-2.fc17.i686 != libstdc++-devel-4.7.0-5.fc17.x86_64
Error: Protected multilib versions: libstdc++-4.7.2-2.fc17.i686 != libstdc++-4.7.0-5.fc17.x86_64
========================

and these are my enabled repos:

repo id                                              repo name                                                                status
Google                                               Google - x86_64                                                               3
adobe-linux-x86_64                                   Adobe Systems Incorporated                                                    2
fedora                                               Fedora 17 - x86_64                                                       27,033
fedora-chromium-stable                               Builds of the "stable" tag of the Chromium Web Browser                       20
fedora-debuginfo                                     Fedora 17 - x86_64 - Debug                                                5,919
fedorautils                                          Fedora Utils                                                                 67
google-chrome                                        google-chrome                                                                 3
rpmfusion-free                                       RPM Fusion for Fedora 17 - Free                                             449
rpmfusion-free-debuginfo                             RPM Fusion for Fedora 17 - Free - Debug                                     152
rpmfusion-free-updates                               RPM Fusion for Fedora 17 - Free - Updates                                   313
rpmfusion-free-updates-debuginfo                     RPM Fusion for Fedora 17 - Free - Updates Debug                             113
rpmfusion-nonfree                                    RPM Fusion for Fedora 17 - Nonfree                                          193
rpmfusion-nonfree-debuginfo                          RPM Fusion for Fedora 17 - Nonfree - Debug                                   58
rpmfusion-nonfree-updates                            RPM Fusion for Fedora 17 - Nonfree - Updates                                193
rpmfusion-nonfree-updates-debuginfo                  RPM Fusion for Fedora 17 - Nonfree - Updates Debug                           72
skype                                                Skype Repository                                                              1
updates                                              Fedora 17 - x86_64 - Updates                                              8,915
updates-debuginfo                                    Fedora 17 - x86_64 - Updates - Debug                                      1,523


How reproducible:
always

Steps to Reproduce:
1. run "yum update"
2. it stops and shows the error message
Comment 1 Illya 2012-09-28 06:03:41 EDT
I have the same issue.
As additional info:

rpm -qa | grep libstdc
libstdc++-4.7.0-5.fc17.x86_64
libstdc++-devel-4.7.0-5.fc17.x86_64
Comment 2 Fedora End Of Life 2013-07-03 16:25:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 16:20:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.